Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetUserApiClientsResponse;
public class Application {
public static void main(String[] args) throws Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetUserApiClientsResponse res = sdk.clients().getAll()
.call();
if (res.object().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.tradearies.dev/v1/users/api/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tradearies.dev/v1/users/api/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/users/api/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clients": [
{
"client_id": "<string>",
"name": "<string>",
"scopes": [
"<string>"
],
"redirect_uris": [
"<string>"
],
"domains": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z"
}
]
}Clients
Get All Clients
Retrieves all OAuth2 API clients owned by the authenticated user. This endpoint returns a list of all OAuth2 clients created by the authenticated user. Each client includes its configuration details such as name, client_id, scopes, redirect URIs, and usage timestamps. The client_secret is never returned in this response for security reasons.
GET
/
v1
/
users
/
api
/
clients
Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetUserApiClientsResponse;
public class Application {
public static void main(String[] args) throws Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetUserApiClientsResponse res = sdk.clients().getAll()
.call();
if (res.object().isPresent()) {
// handle response
}
}
}Was this page helpful?
⌘I